/*
A legjobb barát (barátnő) névnapja.
*/
#include <iostream>

using namespace std;

// Konstansok és típusok
const int MAXN = 1000;
struct Bejegyzes {
  string Nev;
  string Nevnap;
};
typedef Bejegyzes Nevnapok[MAXN];

// Változók
int N;
Nevnapok X;
string Barat, Nap;

void Beolvasas(int &N, Nevnapok X, string &Barat) {
  clog << "Hány barátról van szó?";
  cin >> N;
  for(int i = 0; i < N; i++) {   
    clog << i + 1 << ". barát neve: ";
    cin >> X[i].Nev;
    clog << i + 1 << ". barát névnapja: ";
    cin >> X[i].Nevnap;
  }
  clog << "Legjobb barátod neve: ";
  cin >> Barat;
}

void Kivalasztas(const int N, const Nevnapok X, const string Barat, string &Nap) {
  int i = 1;
  while (X[i - 1].Nev != Barat) {
    i = i + 1;
  }
  Nap = X[i - 1].Nevnap;
}

void Kiiras(const string Barat, const string Nap) {
    cout << Barat << " " << Nap << endl; 
}

int main() {
  
  Beolvasas(N, X, Barat);
  Kivalasztas(N, X, Barat, Nap);
  Kiiras(Barat, Nap);
  
  return 0;
}
