/*
Nem nyereséges nap megadása.
*/
#include <iostream>

using namespace std;

// Konstansok és típusok
const int MAXN = 1000;
typedef int Bevetelek[MAXN];
typedef int Kiadasok[MAXN];

// Változók
int N, Nap;
Bevetelek B;
Kiadasok K;
bool Van;

void Beolvasas(int &N, Bevetelek B, Kiadasok K) {
  clog << "N = ";
  cin >> N;
  for(int i = 0; i < N; i++) {   
    clog << i + 1 << ". bevétel: ";
    cin >> B[i];
    clog << i + 1 << ". kiadás: ";
    cin >> K[i];
  }
}

void Kereses(const int N, const Bevetelek B, const Kiadasok K, bool &Van, int &Nap) {
  int i = 1;
  while (i <= N and K[i - 1] - B[i - 1]<0) {
    i = i + 1;
  }
  Van = (i <= N);
  if (Van) {
    Nap = i;
  }
}

void Kiiras(const bool Van, const int Nap) {
  if (Van) {
    cout << Nap << ". NEM NYERESEGES" << endl;
  } 
  else {
    cout << "MIND NYERESEGES" << endl;
  }
  
}

int main() {
  
  Beolvasas(N, B, K);
  Kereses(N, B, K, Van, Nap);
  Kiiras(Van, Nap);
  
  return 0;
}
