﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Kérek egy pozitív egész számot:");
            N = Convert.ToInt32(Console.ReadLine());
        }

        static bool Eldöntés(int N)
        {
            int i = 2;
            while (i<=(N - 1) && N % i != 0)
            {
                i++;
            }
            return (i > (N - 1));
        }

        static void Kiírás(bool prím)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A beírt szám ");
            if (prím)
            {
                Console.WriteLine("PRIM");//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
            }
            else
            {
                Console.WriteLine("NEM PRIM");//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
            }


        }

        static void Main(string[] args)
        {
            //F1. Létezik-e a számnak 1-től és önmagától különböző osztója?
            //A szám deklarálása
            int N;
            //Kimeneti adatok deklarálása
            bool Prím;
            //Beolvasás
            Beolvasás(out N);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Prím = Eldöntés(N);
            //Kiírás
            Kiírás(Prím);
        }
    }
}
