﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, float[] B, float[] K)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Add meg a napok számát!");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömbök beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("Add meg a(z) "+(i+1)+". nap bevételét és kiadását, szóközzel elválasztva: ");
                string input = Console.ReadLine();
                string[] adatok = input.Split(' ');
                B[i] = Convert.ToSingle(adatok[0]);
                K[i] = Convert.ToSingle(adatok[1]);
            }
        }

        static void Keresés(int N, float[] B, float[] K, out bool Van, out int Nap)
        {
            int i = 0;
            Nap = -1;//Ez jelenti azt, hogy nem találtuk meg a keresett elemet
            while (i<N && (B[i]-K[i])<0)
            {
                i++;
            }
            Van = (i < N);
            if (Van)
            {
                Nap = i + 1;
            }
        }

        static void Kiírás(bool Van, int Nap)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A keresés eredménye: ");
            if (Van)
            {
                Console.WriteLine(Nap + ". NEM NYERESEGES");
            }
            else
            {
                Console.WriteLine("MIND NYERESEGES");
            }
        }

        static void Main(string[] args)
        {
            //F8. Nem nyereséges nap megadása
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömbök deklarálása
            float[] B = new float[MaxN];
            float[] K = new float[MaxN];
            //Kimeneti adatok deklarálása
            int Nap;
            bool Van;
            //Beolvasás
            Beolvasás(out N, B, K);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Keresés(N,K,B,out Van,out Nap);
            //Kiírás
            Kiírás(Van,Nap);
        }
    }
}
