Program Nem_Nyereseges_Program;
(*
  Feladat: Nem nyeresges nap megadsa
  
  Kdols: IBM852 
*)
  Const
    MaxN=100;
  Type
    TValosak=Array [1..MaxN] of Real;
  Var
    N:Integer;
    B,K:TValosak;
    Van:Boolean;
    Nap:Integer;

  Procedure Beolvasas(Var N:Integer; Var B,K:TValosak);
    Var
      i:integer;
  Begin
    //A felhasznlnak sznt tjkoztat zenetek az StrErr csatotnra randk!
    //Pldul a krdsek:
    Write(StdErr,'A napok szama (1..',MaxN,'):');
    //A bemenetet nem ellenrizzk sem szintaktikai, sem szemantikai szempontbl.
    Readln(N);//1<=N<=MaxN
    For i:=1 to N do
    Begin
      Write(StdErr,i:3,'. bevetel, kiadas (>=0):'); 
      Readln(B[i],K[i]);//0<=B[i],K[i] vals szmok
    End;
  End;

  Procedure Kereses(Const N:Integer; Const B,K:TValosak; Var Van:Boolean; Var Nap:Integer);
    Var
      i:Integer;
  Begin
    i:=1;
    While (i<=N) and (K[i]-B[i]<0) do
    Begin
      Inc(i);//ugyanaz, mint i:=i1
    End;
    Van:=i<N;
    If Van then Nap:=i;
  End;

  Procedure Kiiras(Const Van:Boolean; Const Nap:Integer);
  Begin
    If Van then Writeln('A(z) ',Nap,'. nap nem nyereseges.') else Writeln('Mind nyereseges.');
  End;
  
Begin
  Beolvasas(N,B,K);
  Kereses(N,B,K,Van,Nap);
  Kiiras(Van,Nap);
End.
