/*
A hőmérsékletek sorozata monoton növekedő-e?
*/
#include <iostream>

using namespace std;

// Konstansok és típusok
const int MAXN = 1000;
typedef int Homersekletek[MAXN];

// Változók
int N;
bool Monoton;
Homersekletek X;

void Beolvasas(int &N, Homersekletek X) {
  clog << "Hány mérési adat van?";
  cin >> N;
  for(int i = 0; i < N; i++) {   
    clog << i + 1 << ". hőmérséklet: ";
    cin >> X[i];
  }
}

void Eldontes(const int N, const Homersekletek X, bool &Monoton) {
  int i = 1;
  while (i <= N - 1 and X[i - 1] <= X[i]) {
    i = i + 1;
  }
  Monoton = (i > N - 1);
}

void Kiiras(const bool Monoton) {
  if (Monoton) {
    cout << "MONOTON" << endl; 
  }
  else{ 
    cout << "NEM MONOTON" << endl; 
  }
  
}

int main() {
  
  Beolvasas(N, X);
  Eldontes(N, X, Monoton);
  Kiiras(Monoton);
  
  return 0;
}
