﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, int[] X)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány számot olvasunk be? ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". elem: ");
                X[i] = Convert.ToInt32(Console.ReadLine());
            }

        }

        static bool Eldöntés(int N, int[] X)
        {
            int i = 0;
            while (i < (N - 1) && X[i] <= X[i+1])
            {
                i++;
            }
            return (i >= (N - 1));
        }

        static void Kiírás(bool Monoton)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A beírt számsorozat ");
            if (Monoton)
            {
                Console.WriteLine("MONOTON");//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
            }
            else
            {
                Console.WriteLine("NEM MONOTON");//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
            }
        }

        static void Main(string[] args)
        {
            //F4. A hőmérsékletek sorozata monoton növekedő-e?
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömb deklarálása
            int[] X = new int[MaxN];
            //Kimeneti adatok deklarálása
            bool Monoton;
            //Beolvasás
            Beolvasás(out N, X);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Monoton = Eldöntés(N,X);
            //Kiírás
            Kiírás(Monoton);
        }
    }
}
