﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        private struct TNév_Névnap//Rekordtípus meghatározása
        {
            public string Név;
            public string Névnap;
            
            public TNév_Névnap(string _Név, string _Névnap)//Paraméteres konstruktor, így születik meg a rekord
            {
                Név = _Név;
                Névnap = _Névnap;
            }
        }

        static void Beolvasás(out int N, TNév_Névnap[] X, out string Barát)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány barátnak tárolod a névnapját? ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". barát neve és névnapja, enterrel elválasztva: ");
                X[i] = new TNév_Névnap(Console.ReadLine(), Console.ReadLine());//Nevek és dátumok egymás alatt vannak.
            }
            Console.Error.WriteLine("Melyik barátod névnapját írjam ki? ");
            Barát = Console.ReadLine();
        }

        static string Kiválasztás(int N, TNév_Névnap[] X, string Barát)
        {
            int i = 0;
            while (X[i].Név != Barát)
            {
                i++;
            }
            return X[i].Névnap;
        }

        static void Kiírás(string Barát, string Nap)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A barátod neve és névnapja: ");
            Console.WriteLine(Barát+" "+Nap);
        }

        static void Main(string[] args)
        {
            //F7. A legjobb barát (barátnő) névnapja
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömb deklarálása
            TNév_Névnap[] X = new TNév_Névnap[MaxN];
            //Bemeneti adatok
            string Barát;
            //Kimeneti adatok deklarálása
            string Nap;
            //Beolvasás
            Beolvasás(out N, X, out Barát);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Nap = Kiválasztás(N,X,Barát);
            //Kiírás
            Kiírás(Barát,Nap);
        }
    }
}
