//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

// Feladat: Létezik-e a számnak 1-től és önmagától különböző osztója?
public class feladat {

    public feladat() {
    }

    static class Input {
        int N;
    }

    static class Output {
        boolean Prim;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        //A felhasználónak szánt tájékoztató üzenetek az StrErr csatotnára írandók!
        PrintStream cerr = System.err;
        //Például a kérdések:
        cerr.print("Kerek egy pozitiv egesz szamot:");
        //A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból.
        input.N = io.nextInt(); // 1<=N
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        PrintStream cerr = System.err;
        //A kimenetet kísérő szövegek is az StdErr-re irandók!
        cerr.print("A(z) " + input.N + ": ");
        if (output.Prim) {
            io.writeLn("PRIM");
        } else {
            io.writeLn("NEM PRIM");
        }
    }

    static boolean OsztjaE(int x, int oszto) {
        return ((x % oszto) == 0);
    }

    static Output Eldontes(Input input) {
        Output output = new Output();
        int i = 2;
        while (i <= (input.N - 1) && !OsztjaE(input.N, i)) {
            i++; // ugyanaz, mint i:=i+1
        }
        output.Prim = (i > input.N - 1);
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Eldontes(input);

        kiir(io, input, output);

        io.close();
    }

}