//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

// Feladat: A legjobb barát (barátnő) névnapja.
public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class NevNevnapT {
        String nev;
        String nevnap;

        public NevNevnapT() {
            nev = "";
            nevnap = "";
        }
    }

    static class Input {
        int N;
        NevNevnapT[] X;
        String Barat;

        public Input() {
            X=new NevNevnapT[MaxN];
            for (int i=0;i<MaxN;i++){
                X[i]=new NevNevnapT();
            }
        }
    }

    static class Output {
        String Nap;
    }

    static Input beolvas(IO io) throws IOException {
        // A felhasználónak szánt tájékoztató üzenetek az StrErr csatotnára írandók!
        PrintStream cerr = System.err;
        // Például a kérdések:
        Input input = new Input();
        cerr.print("Nevnapok szama (1.." + MaxN + "):");
        // A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból.
        String tmp = io.getLine();
        input.N = Integer.parseInt(tmp);
        for (int i = 0; i < input.N; i++) {
            cerr.print((i + 1) + ". barat neve:");
            tmp = io.getLine();
            input.X[i].nev = tmp; // X[i] nem üres szöveg
            cerr.print((i + 1) + ". barat nevnapja (hh.nn.):");
            input.X[i].nevnap = io.getLine(); // X[i] 'hh.nn.' alakú szöveg
        }
        cerr.print("A barat neve:");
        input.Barat = io.getLine(); // Barat: a fenti felsorolasbeli nevek egyik
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        io.writeLn(input.Barat + " " + output.Nap);
    }

    static Output Kivalasztas(Input input) {
        Output output = new Output();
        int i = 0;
        while (!input.X[i].nev.equals(input.Barat)) {
            i++; // ugyanaz, mint i:=i+1
        }
        output.Nap = input.X[i].nevnap;
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Kivalasztas(input);

        kiir(io, input, output);

        io.close();
    }

}