//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

// Feladat: Nem nyereséges nap megadása
public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        double[] B = new double[MaxN];
        double[] K = new double[MaxN];
    }

    static class Output {
        boolean Van;
        int Nap;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        // A felhasználónak szánt tájékoztató üzenetek az StrErr csatotnára írandók!
        PrintStream cerr = System.err;
        // Például a kérdések:
        cerr.print("A napok szama (1.." + MaxN + "):");
        // A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból.
        input.N = io.nextInt(); // 1<=N<=MaxN
        //cerr.println(input.N);
        String tmp;
        for (int i = 0; i < input.N; i++) {
            // 0<=B[i],K[i] valós számok
            cerr.print((i + 1) + ". bevetel, kiadas (>=0):");
            tmp = io.next();
            //cerr.println(tmp);
            input.B[i] = Double.parseDouble(tmp);
            tmp = io.next();
            //cerr.println(tmp);
            input.K[i] = Double.parseDouble(tmp);
        }

        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        if (output.Van) {
            io.writeLn("A(z) " + output.Nap + ". nap nem nyereseges.");
        } else {
            io.writeLn("Mind nyereseges.");
        }
    }

    static Output Kereses(Input input) {
        Output output = new Output();
        int i = 0;
        while ((i < input.N) && (input.K[i] - input.B[i] < 0)) {
            i++; // ugyanaz, mint i:=i+1
        }
        output.Van = (i < input.N);
        if (output.Van) {
            output.Nap = i + 1;
        }
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Kereses(input);

        kiir(io, input, output);

        io.close();
    }

}