Program Monoton_Homerseklet_Program;
(*
  Feladat: A hmrskletek sorozata monoton nveked-e?
  
  Kdols: IBM852 
*)
  Const
    MaxN=100;
  Type
    TEgeszek=Array [1..MaxN] of Integer;
  Var
    N:Integer;
    X:TEgeszek;
    Monoton:Boolean;

  Procedure Beolvasas(Var N:Integer; Var X:TEgeszek);
    Var
      i:integer;
  Begin
    //A felhasznlnak sznt tjkoztat zenetek az StrErr csatotnra randk!
    //Pldul a krdsek:
    Write(StdErr,'Homersekletek szama (1..',MaxN,'):');
    //A bemenetet nem ellenrizzk sem szintaktikai, sem szemantikai szempontbl.
    Readln(N);//1<=N<=MaxN
    For i:=1 to N do
    Begin
      Write(StdErr,i:3,'. homerseklet (60..60):'); 
      Readln(X[i]);//-60<=X[i]<=60, egsz szm 
    End;
  End;

  Procedure Eldontes(Const N:Integer; Const X:TEgeszek; Var Monoton:Boolean);
    Var
      i:Integer;
  Begin
    i:=1;
    While (i<=N-1) and (X[i]<=X[i+1]) do
    Begin
      Inc(i);//ugyanaz, mint i:=i1
    End;
    Monoton:=i>N-1;
  End;

  Procedure Kiiras(Const Monoton:Boolean);
  Begin
    //A kimenetet ksr szvegek is az StdErr-re irandk!
    Write(StdErr,'A sorozat '); 
    If Monoton then Writeln('monoton.') else Writeln('nem monoton.');
  End;
  
Begin
  Beolvasas(N,X);
  Eldontes(N,X,Monoton);
  Kiiras(Monoton);
End.
